## hugo 0.68.3

=== debian/changelog ===
hugo (0.68.3-1) unstable; urgency=medium

  * New upstream version 0.68.3

 -- Anthony Fok <foka@debian.org>  Wed, 25 Mar 2020 00:15:45 -0600

hugo (0.68.2-1) unstable; urgency=medium

  * New upstream version 0.68.2
    - Fix cache reset for a page’s collections on server live reload

 -- Anthony Fok <foka@debian.org>  Tue, 24 Mar 2020 23:40:20 -0600

hugo (0.68.1-1) unstable; urgency=medium

  * New upstream version 0.68.1

 -- Anthony Fok <foka@debian.org>  Sun, 22 Mar 2020 12:20:06 -0600

hugo (0.68.0-1) unstable; urgency=medium

  * New upstream version 0.68.0
  * Update build dependencies of blackfriday, and especially
    goldmark 1.1.25 for its bug fix "Insert space after task-list
    checkboxes" as per GFM spec

 -- Anthony Fok <foka@debian.org>  Sun, 22 Mar 2020 10:12:43 -0600

hugo (0.67.1-1) unstable; urgency=medium

  * New upstream version 0.67.1
  * Add "Rules-Requires-Root: no" to debian/control

 -- Anthony Fok <foka@debian.org>  Tue, 17 Mar 2020 00:51:08 -0600

hugo (0.67.0-1) unstable; urgency=medium

  * New upstream version 0.67.0

 -- Anthony Fok <foka@debian.org>  Thu, 12 Mar 2020 09:05:44 -0600

hugo (0.66.0-2) unstable; urgency=medium

  * Revert "Include our own copy of github.com/bep/golibsass v0.5.0"
    and depend on golang-github-bep-golibsass-dev (>= 0.5.0)
  * Remove our own copy of github.com/google/wire
    and depend on golang-github-google-wire-dev (>= 0.2.2)
  * Adjust debian/rules for the removal of our own copies of
    github.com/bep/golibsass and github.com/google/wire
  * Simplify version numbers in dependency list
    i.e. remove trailing "~" where appropriate
  * Remove golang-github-gohugoio-hugo-dev binary package
    as there is no software using Hugo as a library.
    It was provided in case caddy-hugo were ever packaged for Debian,
    but then caddy-hugo became filebrowser with http.hugo plugin
    which was eventually removed altogether, see
    https://caddy.community/t/where-is-http-hugo-plugin/5118
  * Add export DH_GOLANG_EXCLUDES to debian/rules to prevent
    /usr/bin/fork_go_templates and /usr/bin/generate from being built

 -- Anthony Fok <foka@debian.org>  Sun, 08 Mar 2020 06:20:22 -0600

hugo (0.66.0-1) unstable; urgency=medium

  * New upstream version 0.66.0
  * Skip TestResourceChainPostCSS in hugolib/resource_chain_test.go
    as it runs "npm install" which accesses the Internet
    and is disallowed during Debian package build

 -- Anthony Fok <foka@debian.org>  Sat, 07 Mar 2020 05:00:30 -0700

hugo (0.65.3-1) unstable; urgency=medium

  * New upstream version 0.65.3

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 21:46:37 -0700

hugo (0.65.2-1) unstable; urgency=medium

  * New upstream version 0.65.2
  * Replace "ln -s" with "cp -a" etc. in execute_after_dh_auto_configure
    to prevent autopkgtest failure due to symlink-vs-real directory setup,
    see add_configure_override() in /usr/bin/dh_golang_autopkgtest

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 20:43:03 -0700

hugo (0.65.1-1) unstable; urgency=medium

  * New upstream version 0.65.1
  * Update debian/hugo.lintian-overrides for manpage-without-executable
    for the new "hugo mod verify" subcommand since v0.65.0

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 09:16:16 -0700

hugo (0.65.0-1) unstable; urgency=medium

  * New upstream version 0.65.0
  * Update dependencies as per upstream go.mod and bump libsass-dev
    to (>= 3.6.3~), matching that in github.com/bep/golibsass v0.5.0
  * Include our own copy of github.com/bep/golibsass v0.5.0
    until golang-github-bep-golibsass enters Debian
  * debian/rules: Add symlink for our copy of github.com/bep/golibsass

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 03:56:39 -0700

hugo (0.64.1-1) unstable; urgency=medium

  * New upstream version 0.64.1
  * Add Upstream-Contact: https://github.com/gohugoio/hugo/issues

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 23:13:47 -0700

hugo (0.64.0-1) unstable; urgency=medium

  * New upstream version 0.64.0
  * Bump golang-github-yuin-goldmark dependency to (>= 1.1.22~)
    as per upstream go.mod file
  * Skip TestHugoModulesTargetInSubFolder in hugolib/hugo_modules_test.go
    as network access is not allowed during Debian package build.

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 22:24:21 -0700

=== debian/control ===
Source: hugo
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Section: web
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: asciidoctor,
               bash-completion,
               debhelper-compat (= 12),
               dh-golang (>= 1.41~),
               golang-any (>= 2:1.12~),
               golang-github-alecthomas-chroma-dev (>= 0.7.1),
               golang-github-armon-go-radix-dev (>= 1.0.0),
               golang-github-aws-aws-sdk-go-dev (>= 1.27.1),
               golang-github-azure-azure-pipeline-go-dev,
               golang-github-azure-azure-storage-blob-go-dev,
               golang-github-bep-debounce-dev (>= 1.2.0),
               golang-github-bep-gitmap-dev (>= 1.1.1),
               golang-github-bep-golibsass-dev (>= 0.5.0),
               golang-github-bep-tmc-dev (>= 0.5.1),
               golang-github-burntsushi-locker-dev,
               golang-github-burntsushi-toml-dev (>= 0.3.1),
               golang-github-disintegration-gift-dev,
               golang-github-dsnet-golib-dev,
               golang-github-dustin-go-humanize-dev (>= 1.0.0),
               golang-github-fortytw2-leaktest-dev (>= 1.3.0),
               golang-github-frankban-quicktest-dev (>= 1.7.2),
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gobwas-glob-dev,
               golang-github-google-go-cmp-dev (>= 0.3.1+git20191028.481baca),
               golang-github-google-uuid-dev (>= 1.1.1),
               golang-github-google-wire-dev (>= 0.2.2),
               golang-github-googleapis-gax-go-dev (>= 2.0.2),
               golang-github-gorilla-websocket-dev (>= 1.4.1),
               golang-github-jdkato-prose-dev (>= 1.1.1),
               golang-github-kyokomi-emoji-dev (>= 2.1.0),
               golang-github-markbates-inflect-dev,
               golang-github-mattn-go-isatty-dev (>= 0.0.11),
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-hashstructure-dev,
               golang-github-mitchellh-mapstructure-dev (>= 1.1.2),
               golang-github-muesli-smartcrop-dev (>= 0.3.0),
               golang-github-nicksnyder-go-i18n-dev,
               golang-github-niklasfasching-go-org-dev (>= 1.0.0),
               golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
               golang-github-pkg-errors-dev (>= 0.8.1),
               golang-github-puerkitobio-purell-dev (>= 1.1.1),
               golang-github-rogpeppe-go-internal-dev (>= 1.5.1),
               golang-github-russross-blackfriday-dev (>= 1.5.2+20200218.41c5fcc),
               golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
               golang-github-sanity-io-litter-dev (>= 1.2.0),
               golang-github-spf13-afero-dev (>= 1.2.2),
               golang-github-spf13-cast-dev (>= 1.3.1),
               golang-github-spf13-cobra-dev (>= 0.0.5),
               golang-github-spf13-fsync-dev,
               golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-spf13-viper-dev (>= 1.6.1),
               golang-github-tdewolff-minify-dev (>= 2.6.1),
               golang-github-yuin-goldmark-dev (>= 1.1.25),
               golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
               golang-go.opencensus-dev (>= 0.22.0),
               golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),
               golang-golang-x-sync-dev (>= 0.0~20190423.1122301),
               golang-golang-x-text-dev (>= 0.3.2),
               golang-golang-x-xerrors-dev,
               golang-google-api-dev (>= 0.5.0),
               golang-google-cloud-dev (>= 0.39.0),
               golang-gopkg-yaml.v2-dev (>= 2.2.7),
               libsass-dev (>= 3.6.3)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
Homepage: https://gohugo.io/
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/gohugoio/hugo

Package: hugo
Architecture: any
Depends: libsass1 (>= 3.6.3),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: git
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := scripts/fork_go_templates tpl/tplimpl/embedded/generate

# Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
# recompressing our test PNG image on Ubuntu
export NO_PNG_PKG_MANGLE := 1

HUGO := _build/bin/hugo

DATE_FMT = %Y-%m-%dT%H:%M:%S%z
ifdef SOURCE_DATE_EPOCH
	BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
	BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
BUILD_DATE := $(BUILD_DATE:+0000=Z)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with golang

execute_after_dh_auto_configure:
	# ln -s $(CURDIR)/debian/go/src _build/src/github.com/gohugoio/hugo/vendor

	# Downgrade github.com/tdewolff/minify to v2.6.1.
	# Placing it in vendor/ does not work, probably due to its use of v2+ modules.
	cd _build/src && \
	    cp -a ../../debian/go/src/gocloud.dev ./

	cd _build/src/github.com && \
	    for i in tdewolff; do \
	        if [ -L "$$i" ]; then \
	            $(RM) $$i && \
	            mkdir $$i && \
	            for j in /usr/share/gocode/src/github.com/$$i/*; do \
	                cp -a $$j $$i/; \
	            done; \
	        fi; \
	    done; \
	    cp -a ../../../debian/go/src/github.com/gohugoio/testmodBuilder gohugoio/ && \
	    $(RM) -r tdewolff/minify tdewolff/parse && \
	    cp -a ../../../debian/go/src/github.com/tdewolff/minify tdewolff/ && \
	    cp -a ../../../debian/go/src/github.com/tdewolff/parse tdewolff/

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- -ldflags '-X github.com/gohugoio/hugo/common/hugo.buildDate=$(BUILD_DATE)' -tags 'dev extended'
	$(HUGO) version
	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
	$(HUGO) gen man --dir=debian/man
	# TODO: Add "hugo-docs" package in the future?
	#$(HUGO) -s docs -d public/html --uglyURLs

# Disable network access during testing by using -test.short flag,
# and skip Git tests which upstream has also disabled for Travis CI.
override_dh_auto_test:
	CI=true dh_auto_test -- -test.short -timeout 120m

override_dh_auto_install:
	dh_auto_install -- --no-source
	dh_bash-completion

## hugo 0.69.1

=== debian/changelog ===
hugo (0.69.1-1) unstable; urgency=medium

  * New upstream version 0.69.1
  * Update dependencies as per upstream go.mod
    - golang-github-alecthomas-chroma-dev (>= 0.7.2)
    - golang-github-niklasfasching-go-org-dev (>= 1.1.0)
    - golang-github-yuin-goldmark-dev (>= 1.1.28)

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 20:41:15 -0600

hugo (0.69.0-1) unstable; urgency=medium

  * New upstream version 0.69.0
  * Update dependencies as per go.mod:
    - golang-github-bep-gitmap-dev (>= 1.1.2)
    - golang-github-kyokomi-emoji-dev (>= 2.2.1)
    - golang-golang-x-net-dev (>= 1:0.0+git20191209.c0dbc17)

 -- Anthony Fok <foka@debian.org>  Fri, 10 Apr 2020 12:18:48 -0600

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                debhelper-compat (= 12),
                dh-golang (>= 1.41~),
                golang-any (>= 2:1.12~),
-               golang-github-alecthomas-chroma-dev (>= 0.7.1),
+               golang-github-alecthomas-chroma-dev (>= 0.7.2),
                golang-github-armon-go-radix-dev (>= 1.0.0),
                golang-github-aws-aws-sdk-go-dev (>= 1.27.1),
                golang-github-azure-azure-pipeline-go-dev,
                golang-github-azure-azure-storage-blob-go-dev,
                golang-github-bep-debounce-dev (>= 1.2.0),
-               golang-github-bep-gitmap-dev (>= 1.1.1),
+               golang-github-bep-gitmap-dev (>= 1.1.2),
                golang-github-bep-golibsass-dev (>= 0.5.0),
                golang-github-bep-tmc-dev (>= 0.5.1),
                golang-github-burntsushi-locker-dev,
@@ -34,7 +34,7 @@
                golang-github-googleapis-gax-go-dev (>= 2.0.2),
                golang-github-gorilla-websocket-dev (>= 1.4.1),
                golang-github-jdkato-prose-dev (>= 1.1.1),
-               golang-github-kyokomi-emoji-dev (>= 2.1.0),
+               golang-github-kyokomi-emoji-dev (>= 2.2.1),
                golang-github-markbates-inflect-dev,
                golang-github-mattn-go-isatty-dev (>= 0.0.11),
                golang-github-miekg-mmark-dev,
@@ -42,7 +42,7 @@
                golang-github-mitchellh-mapstructure-dev (>= 1.1.2),
                golang-github-muesli-smartcrop-dev (>= 0.3.0),
                golang-github-nicksnyder-go-i18n-dev,
-               golang-github-niklasfasching-go-org-dev (>= 1.0.0),
+               golang-github-niklasfasching-go-org-dev (>= 1.1.0),
                golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
                golang-github-pkg-errors-dev (>= 0.8.1),
                golang-github-puerkitobio-purell-dev (>= 1.1.1),
@@ -58,10 +58,11 @@
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-spf13-viper-dev (>= 1.6.1),
                golang-github-tdewolff-minify-dev (>= 2.6.1),
-               golang-github-yuin-goldmark-dev (>= 1.1.25),
+               golang-github-yuin-goldmark-dev (>= 1.1.28),
                golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
                golang-go.opencensus-dev (>= 0.22.0),
                golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),
+               golang-golang-x-net-dev (>= 1:0.0+git20191209.c0dbc17),
                golang-golang-x-sync-dev (>= 0.0~20190423.1122301),
                golang-golang-x-text-dev (>= 0.3.2),
                golang-golang-x-xerrors-dev,

## hugo 0.69.2

=== debian/changelog ===
hugo (0.69.2-1) unstable; urgency=medium

  * New upstream version 0.69.2
  * Update dependencies as per upstream go.mod
    - golang-github-yuin-goldmark-dev (>= 1.1.30)

 -- Anthony Fok <foka@debian.org>  Mon, 27 Apr 2020 07:03:45 -0600

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-spf13-viper-dev (>= 1.6.1),
                golang-github-tdewolff-minify-dev (>= 2.6.1),
-               golang-github-yuin-goldmark-dev (>= 1.1.28),
+               golang-github-yuin-goldmark-dev (>= 1.1.30),
                golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
                golang-go.opencensus-dev (>= 0.22.0),
                golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),

## hugo 0.70.0

=== debian/changelog ===
hugo (0.70.0-1) unstable; urgency=medium

  * New upstream version 0.70.0
  * Upgrade our vendored minify v2.6.1 to v2.6.2 as per upstream
    and remove our vendored copy of tdewolff/parse because minify v2.6.2
    depends on the newer parse v2.4.2 which is already packaged for Debian
  * Bump dependency of golang-github-bep-golibsass-dev to (>= 0.6.0)
  * Disable 0006-skip-TestHugoModulesTargetInSubFolder.patch
    as upstream author has temporarily disabled the test in non-CI environment
  * Refresh Debian patches
  * Add 0001-skip-git-tests.patch to skip git tests in releaser/git_test.go
    instead of my previous flaky workaround of setting CI=true in debian/rules

 -- Anthony Fok <foka@debian.org>  Sat, 09 May 2020 05:54:44 -0600

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                golang-github-azure-azure-storage-blob-go-dev,
                golang-github-bep-debounce-dev (>= 1.2.0),
                golang-github-bep-gitmap-dev (>= 1.1.2),
-               golang-github-bep-golibsass-dev (>= 0.5.0),
+               golang-github-bep-golibsass-dev (>= 0.6.0),
                golang-github-bep-tmc-dev (>= 0.5.1),
                golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev (>= 0.3.1),
@@ -57,7 +57,7 @@
                golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-spf13-viper-dev (>= 1.6.1),
-               golang-github-tdewolff-minify-dev (>= 2.6.1),
+               golang-github-tdewolff-minify-dev (>= 2.6.2),
                golang-github-yuin-goldmark-dev (>= 1.1.30),
                golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
                golang-go.opencensus-dev (>= 0.22.0),

## hugo 0.71.0

=== debian/changelog ===
hugo (0.71.0-1) unstable; urgency=medium

  * New upstream version 0.71.0
  * Update versioned dependencies as per upstream go.mod
    - golang-github-alecthomas-chroma-dev (>= 0.7.3)
    - golang-github-mattn-go-isatty-dev (>= 0.0.12)
    - golang-github-pkg-errors-dev (>= 0.9.1)

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 20:34:47 -0600

## hugo 0.71.1

=== debian/changelog ===
hugo (0.71.1-1) unstable; urgency=medium

  * New upstream version 0.71.1

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 21:37:20 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 12),
                dh-golang (>= 1.41~),
                golang-any (>= 2:1.12~),
-               golang-github-alecthomas-chroma-dev (>= 0.7.2),
+               golang-github-alecthomas-chroma-dev (>= 0.7.3),
                golang-github-armon-go-radix-dev (>= 1.0.0),
                golang-github-aws-aws-sdk-go-dev (>= 1.27.1),
                golang-github-azure-azure-pipeline-go-dev,
@@ -36,7 +36,7 @@
                golang-github-jdkato-prose-dev (>= 1.1.1),
                golang-github-kyokomi-emoji-dev (>= 2.2.1),
                golang-github-markbates-inflect-dev,
-               golang-github-mattn-go-isatty-dev (>= 0.0.11),
+               golang-github-mattn-go-isatty-dev (>= 0.0.12),
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-hashstructure-dev,
                golang-github-mitchellh-mapstructure-dev (>= 1.1.2),
@@ -44,7 +44,7 @@
                golang-github-nicksnyder-go-i18n-dev,
                golang-github-niklasfasching-go-org-dev (>= 1.1.0),
                golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
-               golang-github-pkg-errors-dev (>= 0.8.1),
+               golang-github-pkg-errors-dev (>= 0.9.1),
                golang-github-puerkitobio-purell-dev (>= 1.1.1),
                golang-github-rogpeppe-go-internal-dev (>= 1.5.1),
                golang-github-russross-blackfriday-dev (>= 1.5.2+20200218.41c5fcc),

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 execute_after_dh_auto_configure:
 	# ln -s $(CURDIR)/debian/go/src _build/src/github.com/gohugoio/hugo/vendor
 
-	# Downgrade github.com/tdewolff/minify to v2.6.1.
+	# Downgrade github.com/tdewolff/minify to v2.6.2.
 	# Placing it in vendor/ does not work, probably due to its use of v2+ modules.
 	cd _build/src && \
 	    cp -a ../../debian/go/src/gocloud.dev ./
@@ -38,9 +38,8 @@
 	        fi; \
 	    done; \
 	    cp -a ../../../debian/go/src/github.com/gohugoio/testmodBuilder gohugoio/ && \
-	    $(RM) -r tdewolff/minify tdewolff/parse && \
-	    cp -a ../../../debian/go/src/github.com/tdewolff/minify tdewolff/ && \
-	    cp -a ../../../debian/go/src/github.com/tdewolff/parse tdewolff/
+	    $(RM) -r tdewolff/minify && \
+	    cp -a ../../../debian/go/src/github.com/tdewolff/minify tdewolff/
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- -ldflags '-X github.com/gohugoio/hugo/common/hugo.buildDate=$(BUILD_DATE)' -tags 'dev extended'
@@ -50,10 +49,9 @@
 	# TODO: Add "hugo-docs" package in the future?
 	#$(HUGO) -s docs -d public/html --uglyURLs
 
-# Disable network access during testing by using -test.short flag,
-# and skip Git tests which upstream has also disabled for Travis CI.
+# Disable network access during testing by using -test.short flag
 override_dh_auto_test:
-	CI=true dh_auto_test -- -test.short -timeout 120m
+	dh_auto_test -- -test.short -timeout 120m
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## hugo 0.72.0

=== debian/changelog ===
hugo (0.72.0-1) unstable; urgency=medium

  * New upstream version 0.72.0
  * Update versioned dependencies as per upstream go.mod
    - golang-github-yuin-goldmark-dev (>= 1.1.31)

 -- Anthony Fok <foka@debian.org>  Wed, 03 Jun 2020 23:07:16 -0600

## hugo 0.73.0

=== debian/changelog ===
hugo (0.73.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ, a.k.a. Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 0.73.0
  * debian/missing-sources: Update symlinks

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jun 2020 01:14:54 -0600

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
                golang-github-spf13-pflag-dev (>= 1.0.5),
                golang-github-spf13-viper-dev (>= 1.6.1),
                golang-github-tdewolff-minify-dev (>= 2.6.2),
-               golang-github-yuin-goldmark-dev (>= 1.1.30),
+               golang-github-yuin-goldmark-dev (>= 1.1.31),
                golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
                golang-go.opencensus-dev (>= 0.22.0),
                golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),

## hugo 0.74.0

=== debian/changelog ===
hugo (0.74.0-1) unstable; urgency=medium

  * New upstream version 0.74.0
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Update versioned dependencies as per upstream go.mod:
    - github.com/ghodss/yaml v1.0.0
    - github.com/niklasfasching/go-org v1.3.0
    - gopkg.in/yaml.v2 v2.3.0
  * Add temporary local copies of unpackaged dependencies:
    - github.com/evanw/esbuild v0.6.2
    - github.com/getkin/kin-openapi v0.14.0
  * Work around issue with dh_bash-completion in debhelper v13 mode.
    See #965225

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 16:12:52 -0600

## hugo 0.74.2

=== debian/changelog ===
hugo (0.74.2-1) unstable; urgency=medium

  * New upstream version 0.74.2

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 17:05:17 -0600

hugo (0.74.1-1) unstable; urgency=medium

  * New upstream version 0.74.1

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jul 2020 16:35:36 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: asciidoctor,
                bash-completion,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-golang (>= 1.41~),
                golang-any (>= 2:1.12~),
                golang-github-alecthomas-chroma-dev (>= 0.7.3),
@@ -27,6 +27,7 @@
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
                golang-github-frankban-quicktest-dev (>= 1.7.2),
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-ghodss-yaml-dev (>= 1.0.0),
                golang-github-gobwas-glob-dev,
                golang-github-google-go-cmp-dev (>= 0.3.1+git20191028.481baca),
                golang-github-google-uuid-dev (>= 1.1.1),
@@ -34,6 +35,7 @@
                golang-github-googleapis-gax-go-dev (>= 2.0.2),
                golang-github-gorilla-websocket-dev (>= 1.4.1),
                golang-github-jdkato-prose-dev (>= 1.1.1),
+               golang-github-kylelemons-godebug-dev (>= 1.1.0),
                golang-github-kyokomi-emoji-dev (>= 2.2.1),
                golang-github-markbates-inflect-dev,
                golang-github-mattn-go-isatty-dev (>= 0.0.12),
@@ -42,7 +44,7 @@
                golang-github-mitchellh-mapstructure-dev (>= 1.1.2),
                golang-github-muesli-smartcrop-dev (>= 0.3.0),
                golang-github-nicksnyder-go-i18n-dev,
-               golang-github-niklasfasching-go-org-dev (>= 1.1.0),
+               golang-github-niklasfasching-go-org-dev (>= 1.3.0),
                golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
                golang-github-pkg-errors-dev (>= 0.9.1),
                golang-github-puerkitobio-purell-dev (>= 1.1.1),
@@ -68,7 +70,7 @@
                golang-golang-x-xerrors-dev,
                golang-google-api-dev (>= 0.5.0),
                golang-google-cloud-dev (>= 0.39.0),
-               golang-gopkg-yaml.v2-dev (>= 2.2.7),
+               golang-gopkg-yaml.v2-dev (>= 2.3.0),
                libsass-dev (>= 3.6.3)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 BUILD_DATE := $(BUILD_DATE:+0000=Z)
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with golang
+	dh $@ --builddirectory=_build --buildsystem=golang --with bash-completion,golang
 
 execute_after_dh_auto_configure:
 	# ln -s $(CURDIR)/debian/go/src _build/src/github.com/gohugoio/hugo/vendor
@@ -28,6 +28,8 @@
 	    cp -a ../../debian/go/src/gocloud.dev ./
 
 	cd _build/src/github.com && \
+	    cp -a ../../../debian/go/src/github.com/evanw ./ && \
+	    cp -a ../../../debian/go/src/github.com/getkin ./ && \
 	    for i in tdewolff; do \
 	        if [ -L "$$i" ]; then \
 	            $(RM) $$i && \
@@ -44,7 +46,8 @@
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -- -ldflags '-X github.com/gohugoio/hugo/common/hugo.buildDate=$(BUILD_DATE)' -tags 'dev extended'
 	$(HUGO) version
-	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
+	mkdir -p debian/completion/bash
+	$(HUGO) gen autocomplete --completionfile=debian/completion/bash/hugo
 	$(HUGO) gen man --dir=debian/man
 	# TODO: Add "hugo-docs" package in the future?
 	#$(HUGO) -s docs -d public/html --uglyURLs
@@ -55,4 +58,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
-	dh_bash-completion

## hugo 0.74.3

=== debian/changelog ===
hugo (0.74.3-1) unstable; urgency=medium

  * New upstream version 0.74.3
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.6.5

 -- Anthony Fok <foka@debian.org>  Wed, 29 Jul 2020 12:11:24 -0600

## hugo 0.76.5

=== debian/changelog ===
hugo (0.76.5-1) unstable; urgency=medium

  * New upstream version 0.76.5
  * Update versioned dependencies as per go.mod
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.7.9
    - github.com/getkin/kin-openapi v0.22.1
  * debian/rules: Reorganize execute_after_dh_auto_configure target
    for easier reading and editing
  * Remove dependency on golang-github-russross-blackfriday-dev (v1)
    and include our own local copy instead.  This is to allow other
    dependencies to pull in golang-github-russross-blackfriday-v2-dev
    (which conflicts with golang-github-russross-blackfriday-dev)
    while allowing Hugo itself to use blackfriday v1.
  * Bump dependency on golang-github-spf13-cobra-dev from 0.0.7 to 1.1.1.
    Cobra 1.1.1 fixes internal formatting for go-md2man v2 (which caused
    man page generation e.g. "hugo gen man" to be broken since Cobra 0.0.6).
    See https://github.com/spf13/cobra/issues/1049 for context.

 -- Anthony Fok <foka@debian.org>  Sat, 24 Oct 2020 05:28:04 -0600

hugo (0.75.1-1) unstable; urgency=medium

  * New upstream version 0.75.1

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 21:04:04 -0600

hugo (0.75.0-1) unstable; urgency=medium

  * New upstream version 0.75.0
  * Update versioned dependencies according to go.mod
  * Update temporary local copy of unpackaged dependencies
    - github.com/evanw/esbuild v0.6.32
    - github.com/getkin/kin-openapi v0.22.0
  * Refresh Debian patches (0003, 0005, 0007)

 -- Anthony Fok <foka@debian.org>  Sat, 19 Sep 2020 03:19:11 -0600

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                debhelper-compat (= 13),
                dh-golang (>= 1.41~),
                golang-any (>= 2:1.12~),
-               golang-github-alecthomas-chroma-dev (>= 0.7.3),
+               golang-github-alecthomas-chroma-dev (>= 0.8.1),
                golang-github-armon-go-radix-dev (>= 1.0.0),
-               golang-github-aws-aws-sdk-go-dev (>= 1.27.1),
+               golang-github-aws-aws-sdk-go-dev (>= 1.35.0),
                golang-github-azure-azure-pipeline-go-dev,
                golang-github-azure-azure-storage-blob-go-dev,
                golang-github-bep-debounce-dev (>= 1.2.0),
                golang-github-bep-gitmap-dev (>= 1.1.2),
-               golang-github-bep-golibsass-dev (>= 0.6.0),
+               golang-github-bep-golibsass-dev (>= 0.7.0),
                golang-github-bep-tmc-dev (>= 0.5.1),
                golang-github-burntsushi-locker-dev,
                golang-github-burntsushi-toml-dev (>= 0.3.1),
@@ -25,50 +25,50 @@
                golang-github-dsnet-golib-dev,
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
-               golang-github-frankban-quicktest-dev (>= 1.7.2),
-               golang-github-fsnotify-fsnotify-dev,
+               golang-github-frankban-quicktest-dev (>= 1.11.0),
+               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-ghodss-yaml-dev (>= 1.0.0),
                golang-github-gobwas-glob-dev,
-               golang-github-google-go-cmp-dev (>= 0.3.1+git20191028.481baca),
+               golang-github-google-go-cmp-dev (>= 0.5.2),
                golang-github-google-uuid-dev (>= 1.1.1),
                golang-github-google-wire-dev (>= 0.2.2),
                golang-github-googleapis-gax-go-dev (>= 2.0.2),
-               golang-github-gorilla-websocket-dev (>= 1.4.1),
-               golang-github-jdkato-prose-dev (>= 1.1.1),
+               golang-github-gorilla-websocket-dev (>= 1.4.2),
+               golang-github-jdkato-prose-dev (>= 1.2.0),
                golang-github-kylelemons-godebug-dev (>= 1.1.0),
-               golang-github-kyokomi-emoji-dev (>= 2.2.1),
-               golang-github-markbates-inflect-dev,
+               golang-github-kyokomi-emoji-dev (>= 2.2.4),
+               golang-github-markbates-inflect-dev (>= 1.0.4),
                golang-github-mattn-go-isatty-dev (>= 0.0.12),
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-hashstructure-dev,
-               golang-github-mitchellh-mapstructure-dev (>= 1.1.2),
+               golang-github-mitchellh-mapstructure-dev (>= 1.3.3),
                golang-github-muesli-smartcrop-dev (>= 0.3.0),
-               golang-github-nicksnyder-go-i18n-dev,
-               golang-github-niklasfasching-go-org-dev (>= 1.3.0),
+               golang-github-nicksnyder-go-i18n-dev (>= 2.1.1),
+               golang-github-niklasfasching-go-org-dev (>= 1.3.2),
                golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
+               golang-github-pelletier-go-toml-dev (>= 1.8.1),
                golang-github-pkg-errors-dev (>= 0.9.1),
                golang-github-puerkitobio-purell-dev (>= 1.1.1),
-               golang-github-rogpeppe-go-internal-dev (>= 1.5.1),
-               golang-github-russross-blackfriday-dev (>= 1.5.2+20200218.41c5fcc),
+               golang-github-rogpeppe-go-internal-dev (>= 1.6.2),
                golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
-               golang-github-sanity-io-litter-dev (>= 1.2.0),
-               golang-github-spf13-afero-dev (>= 1.2.2),
+               golang-github-sanity-io-litter-dev (>= 1.3.0),
+               golang-github-spf13-afero-dev (>= 1.4.0),
                golang-github-spf13-cast-dev (>= 1.3.1),
-               golang-github-spf13-cobra-dev (>= 0.0.5),
+               golang-github-spf13-cobra-dev (>= 1.1.1),
                golang-github-spf13-fsync-dev,
                golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-spf13-viper-dev (>= 1.6.1),
+               golang-github-spf13-viper-dev (>= 1.7.1),
                golang-github-tdewolff-minify-dev (>= 2.6.2),
-               golang-github-yuin-goldmark-dev (>= 1.1.31),
+               golang-github-yuin-goldmark-dev (>= 1.2.1),
                golang-github-yuin-goldmark-highlighting-dev (>= 0.0~git20200218.d1af22c),
                golang-go.opencensus-dev (>= 0.22.0),
                golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),
-               golang-golang-x-net-dev (>= 1:0.0+git20191209.c0dbc17),
+               golang-golang-x-net-dev (>= 1:0.0+git20200202.1617124),
                golang-golang-x-sync-dev (>= 0.0~20190423.1122301),
-               golang-golang-x-text-dev (>= 0.3.2),
+               golang-golang-x-text-dev (>= 0.3.3),
                golang-golang-x-xerrors-dev,
-               golang-google-api-dev (>= 0.5.0),
+               golang-google-api-dev (>= 0.13.0),
                golang-google-cloud-dev (>= 0.39.0),
                golang-gopkg-yaml.v2-dev (>= 2.3.0),
                libsass-dev (>= 3.6.3)

=== debian/rules ===
--- 
+++ 
@@ -20,17 +20,19 @@
 	dh $@ --builddirectory=_build --buildsystem=golang --with bash-completion,golang
 
 execute_after_dh_auto_configure:
-	# ln -s $(CURDIR)/debian/go/src _build/src/github.com/gohugoio/hugo/vendor
+	# github.com/gohugoio/testmodBuilder is for testing only
+	# and will not be packaged separately for Debian
+	cp -a debian/go/src/github.com/gohugoio/testmodBuilder \
+	    _build/src/github.com/gohugoio/
 
-	# Downgrade github.com/tdewolff/minify to v2.6.2.
-	# Placing it in vendor/ does not work, probably due to its use of v2+ modules.
-	cd _build/src && \
-	    cp -a ../../debian/go/src/gocloud.dev ./
+	# Temporary local copies, pending packaging for Debian
+	cp -a debian/go/src/github.com/evanw _build/src/github.com/
+	cp -a debian/go/src/github.com/getkin _build/src/github.com/
+	cp -a debian/go/src/gocloud.dev _build/src/
 
+	# Convert symlinks to real directories to prepare for further tweaking
 	cd _build/src/github.com && \
-	    cp -a ../../../debian/go/src/github.com/evanw ./ && \
-	    cp -a ../../../debian/go/src/github.com/getkin ./ && \
-	    for i in tdewolff; do \
+	    for i in russross tdewolff; do \
 	        if [ -L "$$i" ]; then \
 	            $(RM) $$i && \
 	            mkdir $$i && \
@@ -38,8 +40,17 @@
 	                cp -a $$j $$i/; \
 	            done; \
 	        fi; \
-	    done; \
-	    cp -a ../../../debian/go/src/github.com/gohugoio/testmodBuilder gohugoio/ && \
+	    done
+
+	# Allow blackfriday v1 and v2 to co-exist:
+	# Hugo uses blackfriday v1 while other dependencies have moved onto v2
+	cd _build/src/github.com && \
+	    mv -v russross/blackfriday russross/blackfriday-v2 && \
+	    cp -a ../../../debian/go/src/github.com/russross/blackfriday russross/ && \
+	    mv -v russross/blackfriday-v2 russross/blackfriday/v2
+
+	# Downgrade github.com/tdewolff/minify to v2.6.2
+	cd _build/src/github.com && \
 	    $(RM) -r tdewolff/minify && \
 	    cp -a ../../../debian/go/src/github.com/tdewolff/minify tdewolff/

## hugo 0.77.0

=== debian/changelog ===
hugo (0.77.0-1) unstable; urgency=medium

  * New upstream version 0.77.0
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sat, 31 Oct 2020 06:31:06 -0600

hugo (0.76.5-2) unstable; urgency=medium

  * Restore dependency on golang-github-russross-blackfriday-dev (v1)
    and remove our local copy and my kludge in debian/rules.
    Thanks to the change Shengjing made to golang-blackfriday-v2/2.0.1-3,
    golang-github-russross-blackfriday-dev and
    golang-github-russross-blackfriday-v2-dev may now co-exist,
    and my previous kludge is now unnecessary and even causes a FTBFS bug.
    (Closes: #973105)
  * Build-depend on golang-github-evanw-esbuild-dev (>= 0.7.9)
    and remove our temporary local copy
  * Change build-dependency on golang-github-nicksnyder-go-i18n-dev (>= 2.1.1)
    to golang-github-nicksnyder-go-i18n.v2-dev (>= 2.1.1)
  * debian/copyright: Add merge-release.sh to the Files field

 -- Anthony Fok <foka@debian.org>  Thu, 29 Oct 2020 19:12:04 -0600

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,9 @@
                golang-github-disintegration-gift-dev,
                golang-github-dsnet-golib-dev,
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
+               golang-github-evanw-esbuild-dev (>= 0.7.18),
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
-               golang-github-frankban-quicktest-dev (>= 1.11.0),
+               golang-github-frankban-quicktest-dev (>= 1.11.1),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-ghodss-yaml-dev (>= 1.0.0),
                golang-github-gobwas-glob-dev,
@@ -43,16 +44,17 @@
                golang-github-mitchellh-hashstructure-dev,
                golang-github-mitchellh-mapstructure-dev (>= 1.3.3),
                golang-github-muesli-smartcrop-dev (>= 0.3.0),
-               golang-github-nicksnyder-go-i18n-dev (>= 2.1.1),
+               golang-github-nicksnyder-go-i18n.v2-dev (>= 2.1.1),
                golang-github-niklasfasching-go-org-dev (>= 1.3.2),
                golang-github-olekukonko-tablewriter-dev (>= 0.0.4),
                golang-github-pelletier-go-toml-dev (>= 1.8.1),
                golang-github-pkg-errors-dev (>= 0.9.1),
                golang-github-puerkitobio-purell-dev (>= 1.1.1),
                golang-github-rogpeppe-go-internal-dev (>= 1.6.2),
+               golang-github-russross-blackfriday-dev (>= 1.5.2+20200218.41c5fcc),
                golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
                golang-github-sanity-io-litter-dev (>= 1.3.0),
-               golang-github-spf13-afero-dev (>= 1.4.0),
+               golang-github-spf13-afero-dev (>= 1.4.1),
                golang-github-spf13-cast-dev (>= 1.3.1),
                golang-github-spf13-cobra-dev (>= 1.1.1),
                golang-github-spf13-fsync-dev,

=== debian/rules ===
--- 
+++ 
@@ -26,13 +26,12 @@
 	    _build/src/github.com/gohugoio/
 
 	# Temporary local copies, pending packaging for Debian
-	cp -a debian/go/src/github.com/evanw _build/src/github.com/
 	cp -a debian/go/src/github.com/getkin _build/src/github.com/
 	cp -a debian/go/src/gocloud.dev _build/src/
 
 	# Convert symlinks to real directories to prepare for further tweaking
 	cd _build/src/github.com && \
-	    for i in russross tdewolff; do \
+	    for i in tdewolff; do \
 	        if [ -L "$$i" ]; then \
 	            $(RM) $$i && \
 	            mkdir $$i && \
@@ -41,13 +40,6 @@
 	            done; \
 	        fi; \
 	    done
-
-	# Allow blackfriday v1 and v2 to co-exist:
-	# Hugo uses blackfriday v1 while other dependencies have moved onto v2
-	cd _build/src/github.com && \
-	    mv -v russross/blackfriday russross/blackfriday-v2 && \
-	    cp -a ../../../debian/go/src/github.com/russross/blackfriday russross/ && \
-	    mv -v russross/blackfriday-v2 russross/blackfriday/v2
 
 	# Downgrade github.com/tdewolff/minify to v2.6.2
 	cd _build/src/github.com && \

## hugo 0.78.0

=== requirements.txt ===
docutils==0.12

=== debian/changelog ===
hugo (0.78.0-1) unstable; urgency=medium

  * New upstream version 0.78.0
  * Update versioned dependency on golang-github-evanw-esbuild-dev
    to (>= 0.8.2) as per go.mod
  * Build-depend on golang-github-getkin-kin-openapi-dev (>= 0.22.1)
    and remove our temporary local copy

 -- Anthony Fok <foka@debian.org>  Tue, 03 Nov 2020 23:56:47 -0700

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,11 @@
                golang-github-disintegration-gift-dev,
                golang-github-dsnet-golib-dev,
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-evanw-esbuild-dev (>= 0.7.18),
+               golang-github-evanw-esbuild-dev (>= 0.8.2),
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
                golang-github-frankban-quicktest-dev (>= 1.11.1),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
+               golang-github-getkin-kin-openapi-dev (>= 0.22.1),
                golang-github-ghodss-yaml-dev (>= 1.0.0),
                golang-github-gobwas-glob-dev,
                golang-github-google-go-cmp-dev (>= 0.5.2),

## hugo 0.78.1

=== debian/changelog ===
hugo (0.78.1-1) unstable; urgency=medium

  * New upstream version 0.78.1
  * Bump dependency on golang-github-evanw-esbuild-dev to (>= 0.8.3)

 -- Anthony Fok <foka@debian.org>  Thu, 05 Nov 2020 05:42:33 -0700

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                golang-github-disintegration-gift-dev,
                golang-github-dsnet-golib-dev,
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-evanw-esbuild-dev (>= 0.8.2),
+               golang-github-evanw-esbuild-dev (>= 0.8.3),
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
                golang-github-frankban-quicktest-dev (>= 1.11.1),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 	    _build/src/github.com/gohugoio/
 
 	# Temporary local copies, pending packaging for Debian
-	cp -a debian/go/src/github.com/getkin _build/src/github.com/
 	cp -a debian/go/src/gocloud.dev _build/src/
 
 	# Convert symlinks to real directories to prepare for further tweaking

## hugo 0.78.2

=== debian/changelog ===
hugo (0.78.2-1) unstable; urgency=medium

  * New upstream version 0.78.2
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 04:43:13 -0700

=== debian/control ===
--- 
+++ 
@@ -24,11 +24,11 @@
                golang-github-disintegration-gift-dev,
                golang-github-dsnet-golib-dev,
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-evanw-esbuild-dev (>= 0.8.3),
+               golang-github-evanw-esbuild-dev (>= 0.8.6),
                golang-github-fortytw2-leaktest-dev (>= 1.3.0),
-               golang-github-frankban-quicktest-dev (>= 1.11.1),
+               golang-github-frankban-quicktest-dev (>= 1.11.2),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
-               golang-github-getkin-kin-openapi-dev (>= 0.22.1),
+               golang-github-getkin-kin-openapi-dev (>= 0.26.0),
                golang-github-ghodss-yaml-dev (>= 1.0.0),
                golang-github-gobwas-glob-dev,
                golang-github-google-go-cmp-dev (>= 0.5.2),
@@ -69,7 +69,7 @@
                golang-golang-x-image-dev (>= 0.0~git20190523.f03afa9),
                golang-golang-x-net-dev (>= 1:0.0+git20200202.1617124),
                golang-golang-x-sync-dev (>= 0.0~20190423.1122301),
-               golang-golang-x-text-dev (>= 0.3.3),
+               golang-golang-x-text-dev (>= 0.3.4),
                golang-golang-x-xerrors-dev,
                golang-google-api-dev (>= 0.13.0),
                golang-google-cloud-dev (>= 0.39.0),
